org.mariadb.jdbc.internal.util.constant

## Class ServerStatus

- java.lang.Object
- - org.mariadb.jdbc.internal.util.constant.ServerStatus

    public class ServerStatus
    extends Object

### Field Summary

Fields
`static short` `AUTOCOMMIT`
`static short` `CURSOR_EXISTS`
`static short` `DB_DROPPED`
`static short` `IN_TRANSACTION`
`static short` `LAST_ROW_SENT`
`static short` `MORE_RESULTS_EXISTS`
`static short` `NO_BACKSLASH_ESCAPES`
`static short` `QUERY_NO_GOOD_INDEX_USED`
`static short` `QUERY_NO_INDEX_USED`
`static short` `QUERY_WAS_SLOW`

### Constructor Summary

Constructors
Constructor and Description
`ServerStatus()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IN_TRANSACTION

    public static short IN_TRANSACTION

#### AUTOCOMMIT

    public static short AUTOCOMMIT

#### MORE_RESULTS_EXISTS

    public static short MORE_RESULTS_EXISTS

#### QUERY_NO_GOOD_INDEX_USED

    public static short QUERY_NO_GOOD_INDEX_USED

#### QUERY_NO_INDEX_USED

    public static short QUERY_NO_INDEX_USED

#### CURSOR_EXISTS

    public static short CURSOR_EXISTS

#### LAST_ROW_SENT

    public static short LAST_ROW_SENT

#### DB_DROPPED

    public static short DB_DROPPED

#### NO_BACKSLASH_ESCAPES

    public static short NO_BACKSLASH_ESCAPES

#### QUERY_WAS_SLOW

    public static short QUERY_WAS_SLOW

### Constructor Detail

#### ServerStatus

    public ServerStatus()